org.codehaus.plexus.interpolation

## Class InterpolationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.interpolation.InterpolationException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  InterpolationCycleException

    public class InterpolationException
    extends java.lang.Exception

Signals an unrecoverable error in the process of interpolating a string, such as the detection of an expression cycle. Errors resolving individual values from expressions, such as those that happen when an object wrapped in an `ObjectBasedValueSource` doesn't have the property represented by a particular expression part, should NOT result in InterpolationExceptions being thrown. Instead, they should be reported in the feedback from the `ValueSource`, which is propagated out through `Interpolator.getFeedback()`.

Version:
  $Id$
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InterpolationException(java.lang.String message, java.lang.String expression)`
`InterpolationException(java.lang.String message, java.lang.String expression, java.lang.Throwable cause)`

### Method Summary

Methods
`java.lang.String` `getExpression()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InterpolationException

    public InterpolationException(java.lang.String message,
                          java.lang.String expression,
                          java.lang.Throwable cause)

Parameters:
  `message` - The general description of the problem
  `expression` - The expression that triggered the problem
  `cause` - The wrapped exception

#### InterpolationException

    public InterpolationException(java.lang.String message,
                          java.lang.String expression)

Parameters:
  `message` - The general description of the problem
  `expression` - The expression that triggered the problem

### Method Detail

#### getExpression

    public java.lang.String getExpression()

Returns:
  The expression that triggered this exception.